### Hierarchy

- AbstractUIMenuPanel
  - UIMenuGridPanel

## Index

### Constructors

- constructor

### Properties

- _bottomText
- _circle
- _grid
- _isCircleLocked
- _lastCirclePosition
- _leftText
- _lockXAxis
- _lockYAxis
- _pressed
- _rightText
- _setCirclePosition
- _topText
- background
- enabled
- id
- parentItem

### Accessors

- BottomText
- CirclePosition
- CirclePositionX
- CirclePositionY
- Enabled
- Height
- LeftText
- LockXAxis
- LockYAxis
- ParentItem
- ParentMenu
- RightText
- TopText

### Methods

- _processControls
- _setText
- draw
- setVerticalPosition
- updateParentItem

## Constructors

### constructor

- new UIMenuGridPanel(topText?: string, leftText?: string, rightText?: string, bottomText?: string, circlePosition?: Point): UIMenuGridPanel

- Overrides AbstractUIMenuPanel.constructor

  - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:27

  #### Parameters

  - ##### Optional topText: string

  - ##### Optional leftText: string

  - ##### Optional rightText: string

  - ##### Optional bottomText: string

  - ##### Optional circlePosition: Point

  #### Returns UIMenuGridPanel

## Properties

### Private _bottomText

_bottomText: undefined | Text

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:19

### Private Readonly _circle

_circle: Sprite

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:24

### Private Readonly _grid

_grid: Sprite

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:23

### Private _isCircleLocked

_isCircleLocked: boolean = false

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:11

### Private _lastCirclePosition

_lastCirclePosition: Point

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:21

### Private _leftText

_leftText: undefined | Text

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:17

### Private _lockXAxis

_lockXAxis: boolean = false

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:13

### Private _lockYAxis

_lockYAxis: boolean = false

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:14

### Private _pressed

_pressed: boolean = false

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:12

### Private _rightText

_rightText: undefined | Text

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:18

### Private Readonly _setCirclePosition

_setCirclePosition: Point

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:25

### Private _topText

_topText: undefined | Text

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:16

### Protected Readonly background

background: Sprite

Overrides AbstractUIMenuPanel.background

- Defined in ui/menu/items/panels/UIMenuGridPanel.ts:9

### Protected enabled

enabled: boolean = true

Inherited from AbstractUIMenuPanel.enabled

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:10

### Readonly id

id: string = ...

Inherited from AbstractUIMenuPanel.id

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:7

### Protected parentItem

parentItem: undefined | UIMenuItem

Inherited from AbstractUIMenuPanel.parentItem

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:9

## Accessors

### BottomText

- get BottomText(): string
- set BottomText(value: string): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:76

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:80

  #### Parameters

  - ##### value: string

  #### Returns void

### CirclePosition

- get CirclePosition(): Point
- set CirclePosition(position: Point): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:84

  #### Returns Point

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:99

  #### Parameters

  - ##### position: Point

  #### Returns void

### CirclePositionX

- set CirclePositionX(x: number): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:104

  #### Parameters

  - ##### x: number

  #### Returns void

### CirclePositionY

- set CirclePositionY(y: number): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:114

  #### Parameters

  - ##### y: number

  #### Returns void

### Enabled

- get Enabled(): boolean
- set Enabled(value: boolean): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:26

  #### Returns boolean

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:30

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Height

- get Height(): number

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:34

  #### Returns number

### LeftText

- get LeftText(): string
- set LeftText(value: string): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:60

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:64

  #### Parameters

  - ##### value: string

  #### Returns void

### LockXAxis

- get LockXAxis(): boolean
- set LockXAxis(value: boolean): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:124

  #### Returns boolean

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:128

  #### Parameters

  - ##### value: boolean

  #### Returns void

### LockYAxis

- get LockYAxis(): boolean
- set LockYAxis(value: boolean): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:138

  #### Returns boolean

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:142

  #### Parameters

  - ##### value: boolean

  #### Returns void

### ParentItem

- get ParentItem(): undefined | UIMenuItem
- set ParentItem(value: undefined | UIMenuItem): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:18

  #### Returns undefined | UIMenuItem

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:22

  #### Parameters

  - ##### value: undefined | UIMenuItem

  #### Returns void

### ParentMenu

- get ParentMenu(): undefined | Menu

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:14

  #### Returns undefined | Menu

### RightText

- get RightText(): string
- set RightText(value: string): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:68

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:72

  #### Parameters

  - ##### value: string

  #### Returns void

### TopText

- get TopText(): string
- set TopText(value: string): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:52

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:56

  #### Parameters

  - ##### value: string

  #### Returns void

## Methods

### Private _processControls

- _processControls(): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:241

  #### Returns void

### Private _setText

- _setText(name: string, value: string): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:217

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### draw

- draw(): void

- Overrides AbstractUIMenuPanel.draw

  - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:181

  #### Returns void

### setVerticalPosition

- setVerticalPosition(y: number): void

- Overrides AbstractUIMenuPanel.setVerticalPosition

  - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:164

  #### Parameters

  - ##### y: number

  #### Returns void

### updateParentItem

- updateParentItem(): void

- - Defined in ui/menu/items/panels/UIMenuGridPanel.ts:152

  #### Returns void

Generated using TypeDoc